<template>
  <div>
    <el-button type="primary" @click="PrintBtnClick">{{$t('打印')}}</el-button>
  </div>
</template>

<script>


  import { postPrintPdf }  from '@/utils/ruoyi'
  export default {
    data() {
      return {

      }
    },
    methods: {
      PrintBtnClick() {
        postPrintPdf({
          reportName:"mysql:qrcode-100*100",
          values:{
            "header":{"qrcode":"123456789","other":"q"},
            "detail": [{"name":"lily","age":12,"qrcode":"123"},{"name":"jeff","age":32,"qrcode":"qqq"},
            {"name":"jeff","age":32,"qrcode":"qqq1"},{"name":"jeff","age":32,"qrcode":"qqq2"}],
            "detail2":[{"orderno":"123","quantity":20031}]
          }
        })
      },
    }
  }
</script>
